LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAudio Interface Reference

`import "XAudio.idl";`

Inheritance diagram for XAudio:

## Public Attributes
any | Source
| This attribute specifies the source element that contains the audio.
double | Volume
boolean | HideDuringShow
| Specifies if the source shape should be hidden during slideshow (defaults to false).
boolean | Narration
| Specifies if the source shape is a narration for the slide (defaults to false).
Public Attributes inherited from XAnimationNode
short | Type
| a value from AnimationNodeType.
any | Begin
| a sequence of values that define the beginning of this element Begin is
any | Duration
| defines the length of the simple duration.
any | End
| a sequence of values that define the ending of this element End is
any | EndSync
| controls the implicit duration of time containers, as a function of the children.
any | RepeatCount
| the number of iterations of the simple duration.
any | RepeatDuration
| the total duration for repeat.
short | Fill
| the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element.
short | FillDefault
| the default value for the fill behavior for this element and all descendants.
short | Restart
| defines the restart behavior of this element.
short | RestartDefault
| defines the default restart behavior for this element and all descendants.
double | Acceleration
| defines the acceleration for this element.
double | Decelerate
| defines the deceleration for this element.
boolean | AutoReverse
| defines the auto reverse settings for this element.

## Additional Inherited Members
Public Types inherited from XAnimationNode
typedef sequence< ::com::sun::star::beans::NamedValue > | UserData
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Data Documentation

## ◆ HideDuringShow

boolean HideDuringShow
| attribute

Specifies if the source shape should be hidden during slideshow (defaults to false).

Since
  LibreOffice 7.2

## ◆ Narration

boolean Narration
| attribute

Specifies if the source shape is a narration for the slide (defaults to false).

Since
  LibreOffice 7.2

## ◆ Source

any Source
| attribute

This attribute specifies the source element that contains the audio.

## ◆ Volume

double Volume
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XAudio.idl